import { IOHLC, IPatternOHLC, ISanitizedOHLC } from "../types/types_ohlc";
import { IPatternInference, IPatternInferenceSettings } from "../types/types_patterns";
export declare const match_pattern_features: (ohlc_dataset: IOHLC[], ohlc_pattern?: IPatternOHLC[]) => IPatternInference[];
export declare const match_pattern_closeness: (ohlc_patt: IPatternOHLC[], ohlc_data: IOHLC[], settings: IPatternInferenceSettings) => {
    closeness: number;
    error: string;
};
export declare const calculate_closeness_gradient: (source: any, target: any, key: string) => number;
export declare const match_pattern_closeness_alternate: (ohlc_patt: IPatternOHLC[], ohlc_smp: IOHLC[]) => {
    closeness: number;
    error: string;
};
export declare const pattern_green_wicks_percentage: (data: ISanitizedOHLC[]) => number;
